# Uses of Class
java.text.Format

Packages that use Format
Package
Description
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.
java.time.format
Provides classes to print and parse dates and times.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of Format in java.text

Subclasses of Format in java.text
Modifier and Type
Class
Description
`class`
`ChoiceFormat`
`ChoiceFormat` is a concrete subclass of `NumberFormat` that allows you to attach a format to a range of numbers.
`final class`
`CompactNumberFormat`
`CompactNumberFormat` is a concrete subclass of `NumberFormat` that formats a decimal number in a localized compact form.
`class`
`DateFormat`
`DateFormat` is an abstract class for date/time formatting subclasses which formats and parses dates or time in a language-independent manner.
`class`
`DecimalFormat`
`DecimalFormat` is a concrete subclass of `NumberFormat` that formats decimal numbers in a localized manner.
`final class`
`ListFormat`
`ListFormat` formats or parses a list of strings in a locale-sensitive way.
`class`
`MessageFormat`
`MessageFormat` provides a means to produce concatenated messages in a language-neutral way.
`class`
`NumberFormat`
`NumberFormat` is the abstract base class for all number formats.
`class`
`SimpleDateFormat`
`SimpleDateFormat` is a concrete class for formatting and parsing dates in a locale-sensitive manner.
Methods in java.text that return Format
Modifier and Type
Method
Description
`Format[]`
MessageFormat.`getFormats()`
Gets the formats used for the format elements in the previously set pattern string.
`Format[]`
MessageFormat.`getFormatsByArgumentIndex()`
Gets the formats used for the values passed into `format` methods or returned from `parse` methods.
Methods in java.text with parameters of type Format
Modifier and Type
Method
Description
`void`
MessageFormat.`setFormat(int formatElementIndex, Format newFormat)`
Sets the format to use for the format element with the given format element index within the previously set pattern string.
`void`
MessageFormat.`setFormatByArgumentIndex(int argumentIndex, Format newFormat)`
Sets the format to use for the format elements within the previously set pattern string that use the given argument index.
`void`
MessageFormat.`setFormats(Format[] newFormats)`
Sets the formats to use for the format elements in the previously set pattern string.
`void`
MessageFormat.`setFormatsByArgumentIndex(Format[] newFormats)`
Sets the formats to use for the values passed into `format` methods or returned from `parse` methods.

## Uses of Format in java.time.format

Methods in java.time.format that return Format
Modifier and Type
Method
Description
`Format`
DateTimeFormatter.`toFormat()`
Returns this formatter as a `java.text.Format` instance.
`Format`
DateTimeFormatter.`toFormat(TemporalQuery<?> parseQuery)`
Returns this formatter as a `java.text.Format` instance that will parse using the specified query.

## Uses of Format in javax.swing

Constructors in javax.swing with parameters of type Format
Modifier
Constructor
Description
``
`JFormattedTextField(Format format)`
Creates a `JFormattedTextField`.

## Uses of Format in javax.swing.text

Methods in javax.swing.text that return Format
Modifier and Type
Method
Description
`Format`
InternationalFormatter.`getFormat()`
Returns the format that dictates the legal values that can be edited and displayed.
Methods in javax.swing.text with parameters of type Format
Modifier and Type
Method
Description
`void`
InternationalFormatter.`setFormat(Format format)`
Sets the format that dictates the legal values that can be edited and displayed.
`void`
NumberFormatter.`setFormat(Format format)`
Sets the format that dictates the legal values that can be edited and displayed.
Constructors in javax.swing.text with parameters of type Format
Modifier
Constructor
Description
``
`InternationalFormatter(Format format)`
Creates an `InternationalFormatter` with the specified `Format` instance.